function Xpf(){}
function Wrf(){}
function grf(a){this.a=a}
function srf(a){this.a=a}
function prf(a,b){Vpf(a.a,b)}
function orf(a,b){Vpf(a.c,b)}
function Vpf(a,b){ref(a.a,b)}
function qrf(){JZd.call(this)}
function nrf(a){tef(a.a.a);tef(a.c.a)}
function dsf(a){var b;if(!a.g){b=new qrf;a.g=b}return a.g}
function arf(a){var b;nrf(a.A);b=ZAh(a.a,nef(),jM(n1c,Pxj,1,[]));f8i(Y7i(b,OGj),I_j);n8i(Y7i(b,J_j),true);Tnj(new knj(b),new grf(a))}
function brf(a,b,d,e,g){o9d.call(this,a,b,d,e);this.c=g;this.a=(new y0i(IXb,(iBh(),dBh).Mc(IXb),hBh.Mc(IXb))).a;this.b=new N0i(IXb)}
function Vrf(a){var b;b=jM(J1c,Hxj,195,[new pff(xYj,'Application Failures'),new pff(zYj,'Resource Failures')]);uYd();a.a=Aef(new Bef('Failure Origin',d0j),b);return sef(a.a)}
function csf(a){var b;if(!a.f){b=new brf(vFd(sce(a.a)),dsf(a),bsf(a),(voj(Zde(a.a)),ypj(_de(a.a))),(z1i(Xde(a.a)),SLg(lde(a.a))));HFd((tce(a.a),b),EGd(tce(a.a)));a.f=b}return a.f}
function Wpf(a){var b,d;d=new pff(qYj,'Number of Transactions');b=jM(J1c,Hxj,195,[(d.c=true,d),bff(new pff(sYj,'Commited'),d),bff(new pff(uYj,'Aborted'),d),bff(new pff(oYj,'Timed Out'),d)]);uYd();a.a=Aef(new Bef('Success Ratio',d0j),b);return sef(a.a)}
function frf(a,b){var d,e;e=Nnj(b);if(e.b.iN(jHj)&&Y7i(e,jHj).b.b!=(omj(),nmj)&&!zPd(Y7i(e,jHj).b.bf(),kHj)){Vc('Failed to load TX metrics: '+$7i(e))}else{d=D0i(a.a.b,Y7i(e,XGj));prf(a.a.A,new jef(jM(r0c,Gxj,-1,[d.QF(),d.KF(),d.IF(),d.PF()])));orf(a.a.A,new jef(jM(r0c,Gxj,-1,[d.JF(),d.OF()])))}}
w3c(2690,1,{},Xpf);_.a=null;w3c(2712,1406,Oyj,brf);_.Ti=function(){this.A.b=this;n9d(this,fzh(Wde((uYd(),sYd).a)))};_.Yi=function(){arf(this)};_.aj=function(){Zuf(this.c,this)};w3c(2714,1648,{},grf);_.eh=function(a){frf(this,a)};w3c(2717,1213,vzj,qrf);_.Bh=function(){var a,b;b=new snd(i0j);Az((Wfd(),b.gb),j0j);b.gb.style[HCj]=(IC(),QCj);b.gb.style[MCj]=-80+(ED(),rBj);b.gb.style[k0j]=N1j;aB(b.gb.style,yB());b.gb.style[LCj]=O1j;vr(b,(uYd(),'refreshBtnTXMetricViewImp'));b.th(new srf(this));this.a=new Xpf;this.c=new Wrf;a=VBe(VBe(VBe(YBe(ZBe(aCe(new cCe,j5j),n5j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),nAj,b),'Executions',Wpf(this.a)),'Rollbacks',Vrf(this.c));return WBe(a)};w3c(2718,1,ayj,srf);_.le=function(a){arf(this.a.b)};w3c(2725,1,{},Wrf);_.a=null;w3c(2730,1,uzj);_.td=function(){dHd(this.b,csf(this.a.a))};var hvb=bOd(2712),evb=bOd(2714),jvb=bOd(2717),ivb=bOd(2718),Jub=bOd(2690),svb=bOd(2725);iAj(fp)(74);